# POI descriptions `GET` `/v1/local/descriptions` Get LLM generated descriptions about points of interest. **Base URL:** `https://api.search.brave.com/res` ## Authorization | Name | Location | Type | Required | Constraints | Description | |------|----------|------|----------|-------------|-------------| | `x-subscription-token` | header | string | Yes | | The subscription token that was generated for the product. | ## Query Parameters | Name | Location | Type | Required | Constraints | Description | |------|----------|------|----------|-------------|-------------| | `ids` | query | array | Yes | | A list of unique identifiers for the location. The ids are valid only for 8 hours. | ## Headers | Name | Location | Type | Required | Constraints | Description | |------|----------|------|----------|-------------|-------------| | `api-version` | header | string | No | | The API version to use. This is denoted by the format `YYYY-MM-DD`. Default is the latest that is available. Read more about [API versioning](/documentation/guides/versioning). | | `accept` | header | string | No | `application/json`, `*/*`; default `application/json` | The default supported media type is application/json. | | `cache-control` | header | string | No | `no-cache` | Brave Search will return cached content by default. To prevent caching set the Cache-Control header to `no-cache`. This is currently done as best effort. | | `user-agent` | header | string | No | | The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see [RFC 9110](https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent). | ## Responses ### 200 Successful Response | Field | Type | Description | |-------|------|-------------| | `type` | string? | | | `results` | object[]? | The list of location descriptions for the given location identifiers. | | `results[].type` | string? | The type of a location description. The value is always `local_description`. | | `results[].id` | string | A temporary id of the location with this description. | | `results[].description` | string? | AI generated description of the location with the given id. | ### 400 Bad Request | Field | Type | Description | |-------|------|-------------| | `type` | string? | | | `error` | object | | | `error.id` | string | A unique identifier for this particular occurrence of the problem. | | `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. | | `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. | | `error.meta` | object? | A meta object containing non-standard meta-information about the error. | | `error.code` | string | An application-specific error code, expressed as a string value. | | `time` | int? | | ### 404 Not Found | Field | Type | Description | |-------|------|-------------| | `type` | string? | | | `error` | object | | | `error.id` | string | A unique identifier for this particular occurrence of the problem. | | `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. | | `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. | | `error.meta` | object? | A meta object containing non-standard meta-information about the error. | | `error.code` | string | An application-specific error code, expressed as a string value. | | `time` | int? | | ### 422 Unprocessable Entity | Field | Type | Description | |-------|------|-------------| | `type` | string? | | | `error` | object | | | `error.id` | string | A unique identifier for this particular occurrence of the problem. | | `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. | | `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. | | `error.meta` | object? | A meta object containing non-standard meta-information about the error. | | `error.code` | string | An application-specific error code, expressed as a string value. | | `time` | int? | | ### 429 Too Many Requests | Field | Type | Description | |-------|------|-------------| | `type` | string? | | | `error` | object | | | `error.id` | string | A unique identifier for this particular occurrence of the problem. | | `error.status` | int | The HTTP status code applicable to this problem, expressed as a string value. | | `error.detail` | string? | Explanation specific to this occurrence of the problem. Like title, this field's value can be localized. | | `error.meta` | object? | A meta object containing non-standard meta-information about the error. | | `error.code` | string | An application-specific error code, expressed as a string value. | | `time` | int? | | ## Code Samples ### cURL ```bash curl "https://api.search.brave.com/res/v1/local/descriptions?ids=loc4FNMQJNOOCVHEB7UBOLN354ZYIDIYJ3RPRETERRY%3D" \ -H "Accept: application/json" \ -H "Accept-Encoding: gzip" \ -H "X-Subscription-Token: " ``` ### Python ```python import requests url = "https://api.search.brave.com/res/v1/local/descriptions" params = { "ids": "loc4FNMQJNOOCVHEB7UBOLN354ZYIDIYJ3RPRETERRY=" } headers = { "Accept": "application/json", "Accept-Encoding": "gzip", "X-Subscription-Token": "" } response = requests.get(url, params=params, headers=headers) print(response.json()) ```